<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;


/**
 * App\Models\UserRechargeAfterSale
 *
 * @property int $id id
 * @property int $recharge_id user_id
 * @property int $status 状态
 * @property \Illuminate\Support\Carbon|null $updated_at 删除时间
 * @property \Illuminate\Support\Carbon|null $deleted_at 删除时间
 * @property \Illuminate\Support\Carbon|null $created_at 创建时间
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeAfterSale newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeAfterSale newQuery()
 * @method static \Illuminate\Database\Query\Builder|UserRechargeAfterSale onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeAfterSale query()
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeAfterSale whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeAfterSale whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeAfterSale whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeAfterSale whereRechargeId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeAfterSale whereStatus($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeAfterSale whereUpdatedAt($value)
 * @method static \Illuminate\Database\Query\Builder|UserRechargeAfterSale withTrashed()
 * @method static \Illuminate\Database\Query\Builder|UserRechargeAfterSale withoutTrashed()
 * @mixin \Eloquent
 */
class UserRechargeAfterSale extends Model
{
    use HasFactory,SoftDeletes;

    protected $table = 'user_recharge_after_sale';
}
