<?php

/**
 * A helper file for Dcat Admin, to provide autocomplete information to your IDE
 *
 * This file should not be included in your code, only analyzed by your IDE!
 *
 * @author jqh <841324345@qq.com>
 */
namespace Dcat\Admin {
    use Illuminate\Support\Collection;

    /**
     * @property Grid\Column|Collection id
     * @property Grid\Column|Collection name
     * @property Grid\Column|Collection type
     * @property Grid\Column|Collection version
     * @property Grid\Column|Collection detail
     * @property Grid\Column|Collection created_at
     * @property Grid\Column|Collection updated_at
     * @property Grid\Column|Collection is_enabled
     * @property Grid\Column|Collection parent_id
     * @property Grid\Column|Collection order
     * @property Grid\Column|Collection icon
     * @property Grid\Column|Collection uri
     * @property Grid\Column|Collection extension
     * @property Grid\Column|Collection permission_id
     * @property Grid\Column|Collection menu_id
     * @property Grid\Column|Collection slug
     * @property Grid\Column|Collection http_method
     * @property Grid\Column|Collection http_path
     * @property Grid\Column|Collection role_id
     * @property Grid\Column|Collection user_id
     * @property Grid\Column|Collection value
     * @property Grid\Column|Collection username
     * @property Grid\Column|Collection password
     * @property Grid\Column|Collection avatar
     * @property Grid\Column|Collection remember_token
     * @property Grid\Column|Collection image
     * @property Grid\Column|Collection sort
     * @property Grid\Column|Collection status
     * @property Grid\Column|Collection deleted_at
     * @property Grid\Column|Collection md5
     * @property Grid\Column|Collection path
     * @property Grid\Column|Collection url
     * @property Grid\Column|Collection class
     * @property Grid\Column|Collection size
     * @property Grid\Column|Collection file_type
     * @property Grid\Column|Collection download
     * @property Grid\Column|Collection klass
     * @property Grid\Column|Collection objid
     * @property Grid\Column|Collection key
     * @property Grid\Column|Collection expiration
     * @property Grid\Column|Collection group
     * @property Grid\Column|Collection comment
     * @property Grid\Column|Collection pid
     * @property Grid\Column|Collection short_name
     * @property Grid\Column|Collection grade
     * @property Grid\Column|Collection city_code
     * @property Grid\Column|Collection zip_code
     * @property Grid\Column|Collection merger_name
     * @property Grid\Column|Collection lng
     * @property Grid\Column|Collection lat
     * @property Grid\Column|Collection pinyin
     * @property Grid\Column|Collection uuid
     * @property Grid\Column|Collection connection
     * @property Grid\Column|Collection queue
     * @property Grid\Column|Collection payload
     * @property Grid\Column|Collection exception
     * @property Grid\Column|Collection failed_at
     * @property Grid\Column|Collection migration
     * @property Grid\Column|Collection batch
     * @property Grid\Column|Collection category_id
     * @property Grid\Column|Collection platform
     * @property Grid\Column|Collection cover_img
     * @property Grid\Column|Collection is_opend
     * @property Grid\Column|Collection is_vip_watch
     * @property Grid\Column|Collection share_count
     * @property Grid\Column|Collection free_episodes
     * @property Grid\Column|Collection paid_episodes
     * @property Grid\Column|Collection episodes_price
     * @property Grid\Column|Collection episodes_id
     * @property Grid\Column|Collection is_free
     * @property Grid\Column|Collection sale_price
     * @property Grid\Column|Collection answer
     * @property Grid\Column|Collection look_num
     * @property Grid\Column|Collection email
     * @property Grid\Column|Collection token
     * @property Grid\Column|Collection pay_id
     * @property Grid\Column|Collection pay_type
     * @property Grid\Column|Collection pay_dt
     * @property Grid\Column|Collection order_fee
     * @property Grid\Column|Collection discount_fee
     * @property Grid\Column|Collection handling_fee
     * @property Grid\Column|Collection prepay_id
     * @property Grid\Column|Collection serial_number
     * @property Grid\Column|Collection pay_error
     * @property Grid\Column|Collection setting_id
     * @property Grid\Column|Collection mini_app_id
     * @property Grid\Column|Collection mini_app_key
     * @property Grid\Column|Collection wechat_app_id
     * @property Grid\Column|Collection wechat_app_key
     * @property Grid\Column|Collection wechat_apiclient_key
     * @property Grid\Column|Collection wechat_apiclient_cert
     * @property Grid\Column|Collection alipay_app_id
     * @property Grid\Column|Collection alipay_app_key
     * @property Grid\Column|Collection alipay_app_secret
     * @property Grid\Column|Collection douyin_app_id
     * @property Grid\Column|Collection douyin_app_key
     * @property Grid\Column|Collection douyin_app_secret
     * @property Grid\Column|Collection tokenable_type
     * @property Grid\Column|Collection tokenable_id
     * @property Grid\Column|Collection abilities
     * @property Grid\Column|Collection last_used_at
     * @property Grid\Column|Collection price
     * @property Grid\Column|Collection gold
     * @property Grid\Column|Collection gift
     * @property Grid\Column|Collection code
     * @property Grid\Column|Collection parent_code
     * @property Grid\Column|Collection full_name
     * @property Grid\Column|Collection logo
     * @property Grid\Column|Collection contact
     * @property Grid\Column|Collection tips
     * @property Grid\Column|Collection vip_role
     * @property Grid\Column|Collection is_open_sign
     * @property Grid\Column|Collection is_watch_auto_pay
     * @property Grid\Column|Collection recharge_bg_img
     * @property Grid\Column|Collection recharge_button_txt
     * @property Grid\Column|Collection recharge_desc
     * @property Grid\Column|Collection prefix
     * @property Grid\Column|Collection event
     * @property Grid\Column|Collection mobile
     * @property Grid\Column|Collection verify_key
     * @property Grid\Column|Collection sms_code
     * @property Grid\Column|Collection sms_result
     * @property Grid\Column|Collection episode_id
     * @property Grid\Column|Collection before
     * @property Grid\Column|Collection change
     * @property Grid\Column|Collection current
     * @property Grid\Column|Collection remark
     * @property Grid\Column|Collection order_id
     * @property Grid\Column|Collection list_id
     * @property Grid\Column|Collection discount
     * @property Grid\Column|Collection statust
     * @property Grid\Column|Collection content
     * @property Grid\Column|Collection file
     * @property Grid\Column|Collection integral
     * @property Grid\Column|Collection total_integral
     * @property Grid\Column|Collection is_vip
     * @property Grid\Column|Collection start_at
     * @property Grid\Column|Collection end_at
     * @property Grid\Column|Collection opend_at
     * @property Grid\Column|Collection recharge_id
     * @property Grid\Column|Collection combo_id
     * @property Grid\Column|Collection desc
     * @property Grid\Column|Collection date
     * @property Grid\Column|Collection award
     * @property Grid\Column|Collection valid_day
     * @property Grid\Column|Collection nickname
     * @property Grid\Column|Collection open_id
     * @property Grid\Column|Collection union_id
     * @property Grid\Column|Collection email_verified_at
     *
     * @method Grid\Column|Collection id(string $label = null)
     * @method Grid\Column|Collection name(string $label = null)
     * @method Grid\Column|Collection type(string $label = null)
     * @method Grid\Column|Collection version(string $label = null)
     * @method Grid\Column|Collection detail(string $label = null)
     * @method Grid\Column|Collection created_at(string $label = null)
     * @method Grid\Column|Collection updated_at(string $label = null)
     * @method Grid\Column|Collection is_enabled(string $label = null)
     * @method Grid\Column|Collection parent_id(string $label = null)
     * @method Grid\Column|Collection order(string $label = null)
     * @method Grid\Column|Collection icon(string $label = null)
     * @method Grid\Column|Collection uri(string $label = null)
     * @method Grid\Column|Collection extension(string $label = null)
     * @method Grid\Column|Collection permission_id(string $label = null)
     * @method Grid\Column|Collection menu_id(string $label = null)
     * @method Grid\Column|Collection slug(string $label = null)
     * @method Grid\Column|Collection http_method(string $label = null)
     * @method Grid\Column|Collection http_path(string $label = null)
     * @method Grid\Column|Collection role_id(string $label = null)
     * @method Grid\Column|Collection user_id(string $label = null)
     * @method Grid\Column|Collection value(string $label = null)
     * @method Grid\Column|Collection username(string $label = null)
     * @method Grid\Column|Collection password(string $label = null)
     * @method Grid\Column|Collection avatar(string $label = null)
     * @method Grid\Column|Collection remember_token(string $label = null)
     * @method Grid\Column|Collection image(string $label = null)
     * @method Grid\Column|Collection sort(string $label = null)
     * @method Grid\Column|Collection status(string $label = null)
     * @method Grid\Column|Collection deleted_at(string $label = null)
     * @method Grid\Column|Collection md5(string $label = null)
     * @method Grid\Column|Collection path(string $label = null)
     * @method Grid\Column|Collection url(string $label = null)
     * @method Grid\Column|Collection class(string $label = null)
     * @method Grid\Column|Collection size(string $label = null)
     * @method Grid\Column|Collection file_type(string $label = null)
     * @method Grid\Column|Collection download(string $label = null)
     * @method Grid\Column|Collection klass(string $label = null)
     * @method Grid\Column|Collection objid(string $label = null)
     * @method Grid\Column|Collection key(string $label = null)
     * @method Grid\Column|Collection expiration(string $label = null)
     * @method Grid\Column|Collection group(string $label = null)
     * @method Grid\Column|Collection comment(string $label = null)
     * @method Grid\Column|Collection pid(string $label = null)
     * @method Grid\Column|Collection short_name(string $label = null)
     * @method Grid\Column|Collection grade(string $label = null)
     * @method Grid\Column|Collection city_code(string $label = null)
     * @method Grid\Column|Collection zip_code(string $label = null)
     * @method Grid\Column|Collection merger_name(string $label = null)
     * @method Grid\Column|Collection lng(string $label = null)
     * @method Grid\Column|Collection lat(string $label = null)
     * @method Grid\Column|Collection pinyin(string $label = null)
     * @method Grid\Column|Collection uuid(string $label = null)
     * @method Grid\Column|Collection connection(string $label = null)
     * @method Grid\Column|Collection queue(string $label = null)
     * @method Grid\Column|Collection payload(string $label = null)
     * @method Grid\Column|Collection exception(string $label = null)
     * @method Grid\Column|Collection failed_at(string $label = null)
     * @method Grid\Column|Collection migration(string $label = null)
     * @method Grid\Column|Collection batch(string $label = null)
     * @method Grid\Column|Collection category_id(string $label = null)
     * @method Grid\Column|Collection platform(string $label = null)
     * @method Grid\Column|Collection cover_img(string $label = null)
     * @method Grid\Column|Collection is_opend(string $label = null)
     * @method Grid\Column|Collection is_vip_watch(string $label = null)
     * @method Grid\Column|Collection share_count(string $label = null)
     * @method Grid\Column|Collection free_episodes(string $label = null)
     * @method Grid\Column|Collection paid_episodes(string $label = null)
     * @method Grid\Column|Collection episodes_price(string $label = null)
     * @method Grid\Column|Collection episodes_id(string $label = null)
     * @method Grid\Column|Collection is_free(string $label = null)
     * @method Grid\Column|Collection sale_price(string $label = null)
     * @method Grid\Column|Collection answer(string $label = null)
     * @method Grid\Column|Collection look_num(string $label = null)
     * @method Grid\Column|Collection email(string $label = null)
     * @method Grid\Column|Collection token(string $label = null)
     * @method Grid\Column|Collection pay_id(string $label = null)
     * @method Grid\Column|Collection pay_type(string $label = null)
     * @method Grid\Column|Collection pay_dt(string $label = null)
     * @method Grid\Column|Collection order_fee(string $label = null)
     * @method Grid\Column|Collection discount_fee(string $label = null)
     * @method Grid\Column|Collection handling_fee(string $label = null)
     * @method Grid\Column|Collection prepay_id(string $label = null)
     * @method Grid\Column|Collection serial_number(string $label = null)
     * @method Grid\Column|Collection pay_error(string $label = null)
     * @method Grid\Column|Collection setting_id(string $label = null)
     * @method Grid\Column|Collection mini_app_id(string $label = null)
     * @method Grid\Column|Collection mini_app_key(string $label = null)
     * @method Grid\Column|Collection wechat_app_id(string $label = null)
     * @method Grid\Column|Collection wechat_app_key(string $label = null)
     * @method Grid\Column|Collection wechat_apiclient_key(string $label = null)
     * @method Grid\Column|Collection wechat_apiclient_cert(string $label = null)
     * @method Grid\Column|Collection alipay_app_id(string $label = null)
     * @method Grid\Column|Collection alipay_app_key(string $label = null)
     * @method Grid\Column|Collection alipay_app_secret(string $label = null)
     * @method Grid\Column|Collection douyin_app_id(string $label = null)
     * @method Grid\Column|Collection douyin_app_key(string $label = null)
     * @method Grid\Column|Collection douyin_app_secret(string $label = null)
     * @method Grid\Column|Collection tokenable_type(string $label = null)
     * @method Grid\Column|Collection tokenable_id(string $label = null)
     * @method Grid\Column|Collection abilities(string $label = null)
     * @method Grid\Column|Collection last_used_at(string $label = null)
     * @method Grid\Column|Collection price(string $label = null)
     * @method Grid\Column|Collection gold(string $label = null)
     * @method Grid\Column|Collection gift(string $label = null)
     * @method Grid\Column|Collection code(string $label = null)
     * @method Grid\Column|Collection parent_code(string $label = null)
     * @method Grid\Column|Collection full_name(string $label = null)
     * @method Grid\Column|Collection logo(string $label = null)
     * @method Grid\Column|Collection contact(string $label = null)
     * @method Grid\Column|Collection tips(string $label = null)
     * @method Grid\Column|Collection vip_role(string $label = null)
     * @method Grid\Column|Collection is_open_sign(string $label = null)
     * @method Grid\Column|Collection is_watch_auto_pay(string $label = null)
     * @method Grid\Column|Collection recharge_bg_img(string $label = null)
     * @method Grid\Column|Collection recharge_button_txt(string $label = null)
     * @method Grid\Column|Collection recharge_desc(string $label = null)
     * @method Grid\Column|Collection prefix(string $label = null)
     * @method Grid\Column|Collection event(string $label = null)
     * @method Grid\Column|Collection mobile(string $label = null)
     * @method Grid\Column|Collection verify_key(string $label = null)
     * @method Grid\Column|Collection sms_code(string $label = null)
     * @method Grid\Column|Collection sms_result(string $label = null)
     * @method Grid\Column|Collection episode_id(string $label = null)
     * @method Grid\Column|Collection before(string $label = null)
     * @method Grid\Column|Collection change(string $label = null)
     * @method Grid\Column|Collection current(string $label = null)
     * @method Grid\Column|Collection remark(string $label = null)
     * @method Grid\Column|Collection order_id(string $label = null)
     * @method Grid\Column|Collection list_id(string $label = null)
     * @method Grid\Column|Collection discount(string $label = null)
     * @method Grid\Column|Collection statust(string $label = null)
     * @method Grid\Column|Collection content(string $label = null)
     * @method Grid\Column|Collection file(string $label = null)
     * @method Grid\Column|Collection integral(string $label = null)
     * @method Grid\Column|Collection total_integral(string $label = null)
     * @method Grid\Column|Collection is_vip(string $label = null)
     * @method Grid\Column|Collection start_at(string $label = null)
     * @method Grid\Column|Collection end_at(string $label = null)
     * @method Grid\Column|Collection opend_at(string $label = null)
     * @method Grid\Column|Collection recharge_id(string $label = null)
     * @method Grid\Column|Collection combo_id(string $label = null)
     * @method Grid\Column|Collection desc(string $label = null)
     * @method Grid\Column|Collection date(string $label = null)
     * @method Grid\Column|Collection award(string $label = null)
     * @method Grid\Column|Collection valid_day(string $label = null)
     * @method Grid\Column|Collection nickname(string $label = null)
     * @method Grid\Column|Collection open_id(string $label = null)
     * @method Grid\Column|Collection union_id(string $label = null)
     * @method Grid\Column|Collection email_verified_at(string $label = null)
     */
    class Grid {}

    class MiniGrid extends Grid {}

    /**
     * @property Show\Field|Collection id
     * @property Show\Field|Collection name
     * @property Show\Field|Collection type
     * @property Show\Field|Collection version
     * @property Show\Field|Collection detail
     * @property Show\Field|Collection created_at
     * @property Show\Field|Collection updated_at
     * @property Show\Field|Collection is_enabled
     * @property Show\Field|Collection parent_id
     * @property Show\Field|Collection order
     * @property Show\Field|Collection icon
     * @property Show\Field|Collection uri
     * @property Show\Field|Collection extension
     * @property Show\Field|Collection permission_id
     * @property Show\Field|Collection menu_id
     * @property Show\Field|Collection slug
     * @property Show\Field|Collection http_method
     * @property Show\Field|Collection http_path
     * @property Show\Field|Collection role_id
     * @property Show\Field|Collection user_id
     * @property Show\Field|Collection value
     * @property Show\Field|Collection username
     * @property Show\Field|Collection password
     * @property Show\Field|Collection avatar
     * @property Show\Field|Collection remember_token
     * @property Show\Field|Collection image
     * @property Show\Field|Collection sort
     * @property Show\Field|Collection status
     * @property Show\Field|Collection deleted_at
     * @property Show\Field|Collection md5
     * @property Show\Field|Collection path
     * @property Show\Field|Collection url
     * @property Show\Field|Collection class
     * @property Show\Field|Collection size
     * @property Show\Field|Collection file_type
     * @property Show\Field|Collection download
     * @property Show\Field|Collection klass
     * @property Show\Field|Collection objid
     * @property Show\Field|Collection key
     * @property Show\Field|Collection expiration
     * @property Show\Field|Collection group
     * @property Show\Field|Collection comment
     * @property Show\Field|Collection pid
     * @property Show\Field|Collection short_name
     * @property Show\Field|Collection grade
     * @property Show\Field|Collection city_code
     * @property Show\Field|Collection zip_code
     * @property Show\Field|Collection merger_name
     * @property Show\Field|Collection lng
     * @property Show\Field|Collection lat
     * @property Show\Field|Collection pinyin
     * @property Show\Field|Collection uuid
     * @property Show\Field|Collection connection
     * @property Show\Field|Collection queue
     * @property Show\Field|Collection payload
     * @property Show\Field|Collection exception
     * @property Show\Field|Collection failed_at
     * @property Show\Field|Collection migration
     * @property Show\Field|Collection batch
     * @property Show\Field|Collection category_id
     * @property Show\Field|Collection platform
     * @property Show\Field|Collection cover_img
     * @property Show\Field|Collection is_opend
     * @property Show\Field|Collection is_vip_watch
     * @property Show\Field|Collection share_count
     * @property Show\Field|Collection free_episodes
     * @property Show\Field|Collection paid_episodes
     * @property Show\Field|Collection episodes_price
     * @property Show\Field|Collection episodes_id
     * @property Show\Field|Collection is_free
     * @property Show\Field|Collection sale_price
     * @property Show\Field|Collection answer
     * @property Show\Field|Collection look_num
     * @property Show\Field|Collection email
     * @property Show\Field|Collection token
     * @property Show\Field|Collection pay_id
     * @property Show\Field|Collection pay_type
     * @property Show\Field|Collection pay_dt
     * @property Show\Field|Collection order_fee
     * @property Show\Field|Collection discount_fee
     * @property Show\Field|Collection handling_fee
     * @property Show\Field|Collection prepay_id
     * @property Show\Field|Collection serial_number
     * @property Show\Field|Collection pay_error
     * @property Show\Field|Collection setting_id
     * @property Show\Field|Collection mini_app_id
     * @property Show\Field|Collection mini_app_key
     * @property Show\Field|Collection wechat_app_id
     * @property Show\Field|Collection wechat_app_key
     * @property Show\Field|Collection wechat_apiclient_key
     * @property Show\Field|Collection wechat_apiclient_cert
     * @property Show\Field|Collection alipay_app_id
     * @property Show\Field|Collection alipay_app_key
     * @property Show\Field|Collection alipay_app_secret
     * @property Show\Field|Collection douyin_app_id
     * @property Show\Field|Collection douyin_app_key
     * @property Show\Field|Collection douyin_app_secret
     * @property Show\Field|Collection tokenable_type
     * @property Show\Field|Collection tokenable_id
     * @property Show\Field|Collection abilities
     * @property Show\Field|Collection last_used_at
     * @property Show\Field|Collection price
     * @property Show\Field|Collection gold
     * @property Show\Field|Collection gift
     * @property Show\Field|Collection code
     * @property Show\Field|Collection parent_code
     * @property Show\Field|Collection full_name
     * @property Show\Field|Collection logo
     * @property Show\Field|Collection contact
     * @property Show\Field|Collection tips
     * @property Show\Field|Collection vip_role
     * @property Show\Field|Collection is_open_sign
     * @property Show\Field|Collection is_watch_auto_pay
     * @property Show\Field|Collection recharge_bg_img
     * @property Show\Field|Collection recharge_button_txt
     * @property Show\Field|Collection recharge_desc
     * @property Show\Field|Collection prefix
     * @property Show\Field|Collection event
     * @property Show\Field|Collection mobile
     * @property Show\Field|Collection verify_key
     * @property Show\Field|Collection sms_code
     * @property Show\Field|Collection sms_result
     * @property Show\Field|Collection episode_id
     * @property Show\Field|Collection before
     * @property Show\Field|Collection change
     * @property Show\Field|Collection current
     * @property Show\Field|Collection remark
     * @property Show\Field|Collection order_id
     * @property Show\Field|Collection list_id
     * @property Show\Field|Collection discount
     * @property Show\Field|Collection statust
     * @property Show\Field|Collection content
     * @property Show\Field|Collection file
     * @property Show\Field|Collection integral
     * @property Show\Field|Collection total_integral
     * @property Show\Field|Collection is_vip
     * @property Show\Field|Collection start_at
     * @property Show\Field|Collection end_at
     * @property Show\Field|Collection opend_at
     * @property Show\Field|Collection recharge_id
     * @property Show\Field|Collection combo_id
     * @property Show\Field|Collection desc
     * @property Show\Field|Collection date
     * @property Show\Field|Collection award
     * @property Show\Field|Collection valid_day
     * @property Show\Field|Collection nickname
     * @property Show\Field|Collection open_id
     * @property Show\Field|Collection union_id
     * @property Show\Field|Collection email_verified_at
     *
     * @method Show\Field|Collection id(string $label = null)
     * @method Show\Field|Collection name(string $label = null)
     * @method Show\Field|Collection type(string $label = null)
     * @method Show\Field|Collection version(string $label = null)
     * @method Show\Field|Collection detail(string $label = null)
     * @method Show\Field|Collection created_at(string $label = null)
     * @method Show\Field|Collection updated_at(string $label = null)
     * @method Show\Field|Collection is_enabled(string $label = null)
     * @method Show\Field|Collection parent_id(string $label = null)
     * @method Show\Field|Collection order(string $label = null)
     * @method Show\Field|Collection icon(string $label = null)
     * @method Show\Field|Collection uri(string $label = null)
     * @method Show\Field|Collection extension(string $label = null)
     * @method Show\Field|Collection permission_id(string $label = null)
     * @method Show\Field|Collection menu_id(string $label = null)
     * @method Show\Field|Collection slug(string $label = null)
     * @method Show\Field|Collection http_method(string $label = null)
     * @method Show\Field|Collection http_path(string $label = null)
     * @method Show\Field|Collection role_id(string $label = null)
     * @method Show\Field|Collection user_id(string $label = null)
     * @method Show\Field|Collection value(string $label = null)
     * @method Show\Field|Collection username(string $label = null)
     * @method Show\Field|Collection password(string $label = null)
     * @method Show\Field|Collection avatar(string $label = null)
     * @method Show\Field|Collection remember_token(string $label = null)
     * @method Show\Field|Collection image(string $label = null)
     * @method Show\Field|Collection sort(string $label = null)
     * @method Show\Field|Collection status(string $label = null)
     * @method Show\Field|Collection deleted_at(string $label = null)
     * @method Show\Field|Collection md5(string $label = null)
     * @method Show\Field|Collection path(string $label = null)
     * @method Show\Field|Collection url(string $label = null)
     * @method Show\Field|Collection class(string $label = null)
     * @method Show\Field|Collection size(string $label = null)
     * @method Show\Field|Collection file_type(string $label = null)
     * @method Show\Field|Collection download(string $label = null)
     * @method Show\Field|Collection klass(string $label = null)
     * @method Show\Field|Collection objid(string $label = null)
     * @method Show\Field|Collection key(string $label = null)
     * @method Show\Field|Collection expiration(string $label = null)
     * @method Show\Field|Collection group(string $label = null)
     * @method Show\Field|Collection comment(string $label = null)
     * @method Show\Field|Collection pid(string $label = null)
     * @method Show\Field|Collection short_name(string $label = null)
     * @method Show\Field|Collection grade(string $label = null)
     * @method Show\Field|Collection city_code(string $label = null)
     * @method Show\Field|Collection zip_code(string $label = null)
     * @method Show\Field|Collection merger_name(string $label = null)
     * @method Show\Field|Collection lng(string $label = null)
     * @method Show\Field|Collection lat(string $label = null)
     * @method Show\Field|Collection pinyin(string $label = null)
     * @method Show\Field|Collection uuid(string $label = null)
     * @method Show\Field|Collection connection(string $label = null)
     * @method Show\Field|Collection queue(string $label = null)
     * @method Show\Field|Collection payload(string $label = null)
     * @method Show\Field|Collection exception(string $label = null)
     * @method Show\Field|Collection failed_at(string $label = null)
     * @method Show\Field|Collection migration(string $label = null)
     * @method Show\Field|Collection batch(string $label = null)
     * @method Show\Field|Collection category_id(string $label = null)
     * @method Show\Field|Collection platform(string $label = null)
     * @method Show\Field|Collection cover_img(string $label = null)
     * @method Show\Field|Collection is_opend(string $label = null)
     * @method Show\Field|Collection is_vip_watch(string $label = null)
     * @method Show\Field|Collection share_count(string $label = null)
     * @method Show\Field|Collection free_episodes(string $label = null)
     * @method Show\Field|Collection paid_episodes(string $label = null)
     * @method Show\Field|Collection episodes_price(string $label = null)
     * @method Show\Field|Collection episodes_id(string $label = null)
     * @method Show\Field|Collection is_free(string $label = null)
     * @method Show\Field|Collection sale_price(string $label = null)
     * @method Show\Field|Collection answer(string $label = null)
     * @method Show\Field|Collection look_num(string $label = null)
     * @method Show\Field|Collection email(string $label = null)
     * @method Show\Field|Collection token(string $label = null)
     * @method Show\Field|Collection pay_id(string $label = null)
     * @method Show\Field|Collection pay_type(string $label = null)
     * @method Show\Field|Collection pay_dt(string $label = null)
     * @method Show\Field|Collection order_fee(string $label = null)
     * @method Show\Field|Collection discount_fee(string $label = null)
     * @method Show\Field|Collection handling_fee(string $label = null)
     * @method Show\Field|Collection prepay_id(string $label = null)
     * @method Show\Field|Collection serial_number(string $label = null)
     * @method Show\Field|Collection pay_error(string $label = null)
     * @method Show\Field|Collection setting_id(string $label = null)
     * @method Show\Field|Collection mini_app_id(string $label = null)
     * @method Show\Field|Collection mini_app_key(string $label = null)
     * @method Show\Field|Collection wechat_app_id(string $label = null)
     * @method Show\Field|Collection wechat_app_key(string $label = null)
     * @method Show\Field|Collection wechat_apiclient_key(string $label = null)
     * @method Show\Field|Collection wechat_apiclient_cert(string $label = null)
     * @method Show\Field|Collection alipay_app_id(string $label = null)
     * @method Show\Field|Collection alipay_app_key(string $label = null)
     * @method Show\Field|Collection alipay_app_secret(string $label = null)
     * @method Show\Field|Collection douyin_app_id(string $label = null)
     * @method Show\Field|Collection douyin_app_key(string $label = null)
     * @method Show\Field|Collection douyin_app_secret(string $label = null)
     * @method Show\Field|Collection tokenable_type(string $label = null)
     * @method Show\Field|Collection tokenable_id(string $label = null)
     * @method Show\Field|Collection abilities(string $label = null)
     * @method Show\Field|Collection last_used_at(string $label = null)
     * @method Show\Field|Collection price(string $label = null)
     * @method Show\Field|Collection gold(string $label = null)
     * @method Show\Field|Collection gift(string $label = null)
     * @method Show\Field|Collection code(string $label = null)
     * @method Show\Field|Collection parent_code(string $label = null)
     * @method Show\Field|Collection full_name(string $label = null)
     * @method Show\Field|Collection logo(string $label = null)
     * @method Show\Field|Collection contact(string $label = null)
     * @method Show\Field|Collection tips(string $label = null)
     * @method Show\Field|Collection vip_role(string $label = null)
     * @method Show\Field|Collection is_open_sign(string $label = null)
     * @method Show\Field|Collection is_watch_auto_pay(string $label = null)
     * @method Show\Field|Collection recharge_bg_img(string $label = null)
     * @method Show\Field|Collection recharge_button_txt(string $label = null)
     * @method Show\Field|Collection recharge_desc(string $label = null)
     * @method Show\Field|Collection prefix(string $label = null)
     * @method Show\Field|Collection event(string $label = null)
     * @method Show\Field|Collection mobile(string $label = null)
     * @method Show\Field|Collection verify_key(string $label = null)
     * @method Show\Field|Collection sms_code(string $label = null)
     * @method Show\Field|Collection sms_result(string $label = null)
     * @method Show\Field|Collection episode_id(string $label = null)
     * @method Show\Field|Collection before(string $label = null)
     * @method Show\Field|Collection change(string $label = null)
     * @method Show\Field|Collection current(string $label = null)
     * @method Show\Field|Collection remark(string $label = null)
     * @method Show\Field|Collection order_id(string $label = null)
     * @method Show\Field|Collection list_id(string $label = null)
     * @method Show\Field|Collection discount(string $label = null)
     * @method Show\Field|Collection statust(string $label = null)
     * @method Show\Field|Collection content(string $label = null)
     * @method Show\Field|Collection file(string $label = null)
     * @method Show\Field|Collection integral(string $label = null)
     * @method Show\Field|Collection total_integral(string $label = null)
     * @method Show\Field|Collection is_vip(string $label = null)
     * @method Show\Field|Collection start_at(string $label = null)
     * @method Show\Field|Collection end_at(string $label = null)
     * @method Show\Field|Collection opend_at(string $label = null)
     * @method Show\Field|Collection recharge_id(string $label = null)
     * @method Show\Field|Collection combo_id(string $label = null)
     * @method Show\Field|Collection desc(string $label = null)
     * @method Show\Field|Collection date(string $label = null)
     * @method Show\Field|Collection award(string $label = null)
     * @method Show\Field|Collection valid_day(string $label = null)
     * @method Show\Field|Collection nickname(string $label = null)
     * @method Show\Field|Collection open_id(string $label = null)
     * @method Show\Field|Collection union_id(string $label = null)
     * @method Show\Field|Collection email_verified_at(string $label = null)
     */
    class Show {}

    /**
     
     */
    class Form {}

}

namespace Dcat\Admin\Grid {
    /**
     
     */
    class Column {}

    /**
     
     */
    class Filter {}
}

namespace Dcat\Admin\Show {
    /**
     
     */
    class Field {}
}
