/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.1.8
 Source Server Type    : MySQL
 Source Server Version : 100233
 Source Host           : 127.0.0.1:3306
 Source Schema         : zhangsiye_db

 Target Server Type    : MySQL
 Target Server Version : 100233
 File Encoding         : 65001

 Date: 05/08/2022 16:39:42
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for t_admin_extension_histories
-- ----------------------------
DROP TABLE IF EXISTS `t_admin_extension_histories`;
CREATE TABLE `t_admin_extension_histories`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` tinyint(4) NOT NULL DEFAULT 1,
  `version` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `detail` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `t_admin_extension_histories_name_index`(`name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_admin_extensions
-- ----------------------------
DROP TABLE IF EXISTS `t_admin_extensions`;
CREATE TABLE `t_admin_extensions`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `version` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `is_enabled` tinyint(4) NOT NULL DEFAULT 0,
  `options` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `t_admin_extensions_name_unique`(`name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_admin_menu
-- ----------------------------
DROP TABLE IF EXISTS `t_admin_menu`;
CREATE TABLE `t_admin_menu`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `parent_id` bigint(20) NOT NULL DEFAULT 0,
  `order` int(11) NOT NULL DEFAULT 0,
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `icon` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `uri` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `extension` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `show` tinyint(4) NOT NULL DEFAULT 1,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 28 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_admin_menu
-- ----------------------------
INSERT INTO `t_admin_menu` VALUES (1, 0, 1, 'Index', 'feather icon-bar-chart-2', '/', '', 1, '2022-07-28 19:42:42', NULL);
INSERT INTO `t_admin_menu` VALUES (2, 0, 2, 'Admin', 'feather icon-settings', '', '', 1, '2022-07-28 19:42:42', '2022-08-03 17:34:21');
INSERT INTO `t_admin_menu` VALUES (3, 2, 3, 'Users', '', 'auth/users', '', 1, '2022-07-28 19:42:42', NULL);
INSERT INTO `t_admin_menu` VALUES (4, 2, 4, 'Roles', '', 'auth/roles', '', 1, '2022-07-28 19:42:42', NULL);
INSERT INTO `t_admin_menu` VALUES (5, 2, 5, 'Permission', '', 'auth/permissions', '', 1, '2022-07-28 19:42:42', NULL);
INSERT INTO `t_admin_menu` VALUES (6, 2, 6, 'Menu', '', 'auth/menu', '', 1, '2022-07-28 19:42:42', NULL);
INSERT INTO `t_admin_menu` VALUES (7, 2, 7, 'Extensions', '', 'auth/extensions', '', 1, '2022-07-28 19:42:42', NULL);
INSERT INTO `t_admin_menu` VALUES (8, 0, 8, '程序管理', 'fa-codepen', '/program', '', 1, '2022-08-03 12:00:14', '2022-08-03 12:00:14');
INSERT INTO `t_admin_menu` VALUES (9, 0, 13, '短剧管理', 'fa-video-camera', '/episodes', '', 1, '2022-08-03 17:19:43', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (10, 0, 16, '订单管理', 'fa-reorder', '/order', '', 1, '2022-08-03 17:22:38', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (11, 0, 19, '用户管理', 'fa-users', '/users', '', 1, '2022-08-03 17:23:21', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (12, 0, 20, '营销中心', 'fa-area-chart', '/market', '', 1, '2022-08-03 17:24:12', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (13, 12, 21, '会员', NULL, '/market/member', '', 1, '2022-08-03 17:26:08', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (14, 12, 22, '金币', NULL, '/market/glod', '', 1, '2022-08-03 17:26:51', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (15, 0, 23, '设置', 'fa-gears', '/setting', '', 1, '2022-08-03 17:31:55', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (16, 15, 24, '基础设置', NULL, '/setting/base', '', 1, '2022-08-03 17:32:16', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (17, 15, 25, '订单设置', NULL, '/setting/order', '', 1, '2022-08-03 17:32:39', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (18, 15, 26, '支付设置', NULL, '/setting/pay', '', 1, '2022-08-03 17:33:23', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (19, 15, 27, '消息提醒', NULL, '/setting/tips', '', 1, '2022-08-03 17:33:58', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (20, 10, 17, '充值订单', NULL, '/order/recharge', '', 1, '2022-08-03 21:49:57', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (21, 10, 18, '消费记录', NULL, '/order/episodes', '', 1, '2022-08-03 21:50:56', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (22, 9, 14, '分类', NULL, '/episodes/category', '', 1, '2022-08-03 22:00:35', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (23, 9, 15, '短剧', NULL, '/episodes/lists', '', 1, '2022-08-03 22:00:56', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (24, 8, 10, '导航图标', NULL, '/program/navbar', '', 1, '2022-08-05 15:21:07', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (25, 8, 11, '标签栏', NULL, '/program/tabbar', '', 1, '2022-08-05 15:22:03', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (26, 8, 12, '首页布局', NULL, '/program/home_column', '', 1, '2022-08-05 15:23:01', '2022-08-05 15:35:50');
INSERT INTO `t_admin_menu` VALUES (27, 8, 9, '轮播图', NULL, '/program/banner', '', 1, '2022-08-05 15:24:04', '2022-08-05 15:35:50');

-- ----------------------------
-- Table structure for t_admin_permission_menu
-- ----------------------------
DROP TABLE IF EXISTS `t_admin_permission_menu`;
CREATE TABLE `t_admin_permission_menu`  (
  `permission_id` bigint(20) NOT NULL,
  `menu_id` bigint(20) NOT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  UNIQUE INDEX `t_admin_permission_menu_permission_id_menu_id_unique`(`permission_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_admin_permissions
-- ----------------------------
DROP TABLE IF EXISTS `t_admin_permissions`;
CREATE TABLE `t_admin_permissions`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `http_method` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `http_path` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL,
  `order` int(11) NOT NULL DEFAULT 0,
  `parent_id` bigint(20) NOT NULL DEFAULT 0,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `t_admin_permissions_slug_unique`(`slug`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_admin_permissions
-- ----------------------------
INSERT INTO `t_admin_permissions` VALUES (1, 'Auth management', 'auth-management', '', '', 1, 0, '2022-07-28 19:42:42', NULL);
INSERT INTO `t_admin_permissions` VALUES (2, 'Users', 'users', '', '/auth/users*', 2, 1, '2022-07-28 19:42:42', NULL);
INSERT INTO `t_admin_permissions` VALUES (3, 'Roles', 'roles', '', '/auth/roles*', 3, 1, '2022-07-28 19:42:42', NULL);
INSERT INTO `t_admin_permissions` VALUES (4, 'Permissions', 'permissions', '', '/auth/permissions*', 4, 1, '2022-07-28 19:42:42', NULL);
INSERT INTO `t_admin_permissions` VALUES (5, 'Menu', 'menu', '', '/auth/menu*', 5, 1, '2022-07-28 19:42:42', NULL);
INSERT INTO `t_admin_permissions` VALUES (6, 'Extension', 'extension', '', '/auth/extensions*', 6, 1, '2022-07-28 19:42:42', NULL);

-- ----------------------------
-- Table structure for t_admin_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `t_admin_role_menu`;
CREATE TABLE `t_admin_role_menu`  (
  `role_id` bigint(20) NOT NULL,
  `menu_id` bigint(20) NOT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  UNIQUE INDEX `t_admin_role_menu_role_id_menu_id_unique`(`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_admin_role_menu
-- ----------------------------
INSERT INTO `t_admin_role_menu` VALUES (1, 8, '2022-08-03 12:00:14', '2022-08-03 12:00:14');
INSERT INTO `t_admin_role_menu` VALUES (1, 9, '2022-08-03 17:19:43', '2022-08-03 17:19:43');
INSERT INTO `t_admin_role_menu` VALUES (1, 11, '2022-08-03 17:23:21', '2022-08-03 17:23:21');
INSERT INTO `t_admin_role_menu` VALUES (1, 12, '2022-08-03 17:24:21', '2022-08-03 17:24:21');
INSERT INTO `t_admin_role_menu` VALUES (1, 13, '2022-08-03 17:26:08', '2022-08-03 17:26:08');
INSERT INTO `t_admin_role_menu` VALUES (1, 14, '2022-08-03 17:26:51', '2022-08-03 17:26:51');
INSERT INTO `t_admin_role_menu` VALUES (1, 15, '2022-08-03 17:31:55', '2022-08-03 17:31:55');
INSERT INTO `t_admin_role_menu` VALUES (1, 16, '2022-08-03 17:32:16', '2022-08-03 17:32:16');
INSERT INTO `t_admin_role_menu` VALUES (1, 17, '2022-08-03 17:32:39', '2022-08-03 17:32:39');
INSERT INTO `t_admin_role_menu` VALUES (1, 18, '2022-08-03 17:33:23', '2022-08-03 17:33:23');
INSERT INTO `t_admin_role_menu` VALUES (1, 19, '2022-08-03 17:33:58', '2022-08-03 17:33:58');
INSERT INTO `t_admin_role_menu` VALUES (1, 20, '2022-08-03 21:49:57', '2022-08-03 21:49:57');
INSERT INTO `t_admin_role_menu` VALUES (1, 21, '2022-08-03 21:50:56', '2022-08-03 21:50:56');
INSERT INTO `t_admin_role_menu` VALUES (1, 22, '2022-08-03 22:00:35', '2022-08-03 22:00:35');
INSERT INTO `t_admin_role_menu` VALUES (1, 23, '2022-08-03 22:00:56', '2022-08-03 22:00:56');
INSERT INTO `t_admin_role_menu` VALUES (1, 24, '2022-08-05 15:21:07', '2022-08-05 15:21:07');
INSERT INTO `t_admin_role_menu` VALUES (1, 25, '2022-08-05 15:22:03', '2022-08-05 15:22:03');
INSERT INTO `t_admin_role_menu` VALUES (1, 26, '2022-08-05 15:23:01', '2022-08-05 15:23:01');
INSERT INTO `t_admin_role_menu` VALUES (1, 27, '2022-08-05 15:24:04', '2022-08-05 15:24:04');
INSERT INTO `t_admin_role_menu` VALUES (2, 8, '2022-08-03 12:00:14', '2022-08-03 12:00:14');
INSERT INTO `t_admin_role_menu` VALUES (2, 9, '2022-08-03 17:19:43', '2022-08-03 17:19:43');
INSERT INTO `t_admin_role_menu` VALUES (2, 11, '2022-08-03 17:23:21', '2022-08-03 17:23:21');
INSERT INTO `t_admin_role_menu` VALUES (2, 12, '2022-08-03 17:24:21', '2022-08-03 17:24:21');
INSERT INTO `t_admin_role_menu` VALUES (2, 13, '2022-08-03 17:26:08', '2022-08-03 17:26:08');
INSERT INTO `t_admin_role_menu` VALUES (2, 14, '2022-08-03 17:26:51', '2022-08-03 17:26:51');
INSERT INTO `t_admin_role_menu` VALUES (2, 15, '2022-08-03 17:31:55', '2022-08-03 17:31:55');
INSERT INTO `t_admin_role_menu` VALUES (2, 16, '2022-08-03 17:32:16', '2022-08-03 17:32:16');
INSERT INTO `t_admin_role_menu` VALUES (2, 17, '2022-08-03 17:32:39', '2022-08-03 17:32:39');
INSERT INTO `t_admin_role_menu` VALUES (2, 18, '2022-08-03 17:33:23', '2022-08-03 17:33:23');
INSERT INTO `t_admin_role_menu` VALUES (2, 19, '2022-08-03 17:33:58', '2022-08-03 17:33:58');
INSERT INTO `t_admin_role_menu` VALUES (2, 20, '2022-08-03 21:49:57', '2022-08-03 21:49:57');
INSERT INTO `t_admin_role_menu` VALUES (2, 21, '2022-08-03 21:50:56', '2022-08-03 21:50:56');
INSERT INTO `t_admin_role_menu` VALUES (2, 22, '2022-08-03 22:00:35', '2022-08-03 22:00:35');
INSERT INTO `t_admin_role_menu` VALUES (2, 23, '2022-08-03 22:00:56', '2022-08-03 22:00:56');
INSERT INTO `t_admin_role_menu` VALUES (2, 24, '2022-08-05 15:21:07', '2022-08-05 15:21:07');
INSERT INTO `t_admin_role_menu` VALUES (2, 25, '2022-08-05 15:22:03', '2022-08-05 15:22:03');
INSERT INTO `t_admin_role_menu` VALUES (2, 26, '2022-08-05 15:23:01', '2022-08-05 15:23:01');
INSERT INTO `t_admin_role_menu` VALUES (2, 27, '2022-08-05 15:24:04', '2022-08-05 15:24:04');

-- ----------------------------
-- Table structure for t_admin_role_permissions
-- ----------------------------
DROP TABLE IF EXISTS `t_admin_role_permissions`;
CREATE TABLE `t_admin_role_permissions`  (
  `role_id` bigint(20) NOT NULL,
  `permission_id` bigint(20) NOT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  UNIQUE INDEX `t_admin_role_permissions_role_id_permission_id_unique`(`role_id`, `permission_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_admin_role_users
-- ----------------------------
DROP TABLE IF EXISTS `t_admin_role_users`;
CREATE TABLE `t_admin_role_users`  (
  `role_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  UNIQUE INDEX `t_admin_role_users_role_id_user_id_unique`(`role_id`, `user_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_admin_role_users
-- ----------------------------
INSERT INTO `t_admin_role_users` VALUES (1, 1, '2022-07-28 19:42:42', '2022-07-28 19:42:42');
INSERT INTO `t_admin_role_users` VALUES (2, 2, '2022-08-03 11:52:57', '2022-08-03 11:52:57');

-- ----------------------------
-- Table structure for t_admin_roles
-- ----------------------------
DROP TABLE IF EXISTS `t_admin_roles`;
CREATE TABLE `t_admin_roles`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `t_admin_roles_slug_unique`(`slug`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_admin_roles
-- ----------------------------
INSERT INTO `t_admin_roles` VALUES (1, 'Administrator', 'administrator', '2022-07-28 19:42:42', '2022-07-28 19:42:42');
INSERT INTO `t_admin_roles` VALUES (2, '管理员', 'manager', '2022-08-03 11:52:25', '2022-08-03 11:52:25');

-- ----------------------------
-- Table structure for t_admin_settings
-- ----------------------------
DROP TABLE IF EXISTS `t_admin_settings`;
CREATE TABLE `t_admin_settings`  (
  `slug` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`slug`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_admin_users
-- ----------------------------
DROP TABLE IF EXISTS `t_admin_users`;
CREATE TABLE `t_admin_users`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `username` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `password` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `avatar` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `remember_token` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `t_admin_users_username_unique`(`username`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_admin_users
-- ----------------------------
INSERT INTO `t_admin_users` VALUES (1, 'admin', '$2y$10$/9vpLfzQknmBuNKTjYu4W.O7Ku7PUqdRGxbQ9/vlRxjkZJbiN8y.C', 'Administrator', NULL, 'CDOg1MmKgKnqmABURtuiewU8gjy14uj81hfC9sicUbsxfnkXJZYaKPfQGAO4', '2022-07-28 19:42:42', '2022-07-28 19:42:42');
INSERT INTO `t_admin_users` VALUES (2, 'manager', '$2y$10$8OdG5k211/DGzkBNsd5IfeUjKDqUIEhgxf/bhZoStmBsDaLMAheNO', '管理员', NULL, NULL, '2022-08-03 11:52:57', '2022-08-03 11:52:57');

-- ----------------------------
-- Table structure for t_banners
-- ----------------------------
DROP TABLE IF EXISTS `t_banners`;
CREATE TABLE `t_banners`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '名称',
  `image` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '图标',
  `sort` int(11) NOT NULL DEFAULT 0 COMMENT '排序',
  `status` tinyint(1) NOT NULL COMMENT '是否启用',
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '首页导航' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_banners
-- ----------------------------
INSERT INTO `t_banners` VALUES (1, '百度', 'golf/images/fd4e07abc88a143b8a1df3ced8e9c89a.jpg', 0, 1, '2022-08-05 16:20:03', '2022-08-05 16:20:03', '2022-08-05 16:06:50');
INSERT INTO `t_banners` VALUES (2, '百度', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/zhangsiye/images/0ee910a57cb141d6980a77c9398e0682.png', 0, 1, '2022-08-05 16:19:43', NULL, '2022-08-05 16:19:43');

-- ----------------------------
-- Table structure for t_base_attachments
-- ----------------------------
DROP TABLE IF EXISTS `t_base_attachments`;
CREATE TABLE `t_base_attachments`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '附件名称',
  `md5` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'md5码',
  `path` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '附件路径',
  `url` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '附件url',
  `class` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '未分类' COMMENT '分类',
  `size` bigint(20) UNSIGNED NULL DEFAULT NULL,
  `file_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `download` bigint(20) UNSIGNED NOT NULL DEFAULT 0,
  `klass` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '关联模型',
  `objid` int(10) UNSIGNED NULL DEFAULT NULL COMMENT '关联id',
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_md5`(`md5`) USING BTREE,
  INDEX `idx_klass_objid`(`klass`, `objid`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_base_cache
-- ----------------------------
DROP TABLE IF EXISTS `t_base_cache`;
CREATE TABLE `t_base_cache`  (
  `key` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `expiration` int(11) NOT NULL,
  UNIQUE INDEX `t_base_cache_key_unique`(`key`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_base_config
-- ----------------------------
DROP TABLE IF EXISTS `t_base_config`;
CREATE TABLE `t_base_config`  (
  `group` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '配置组名',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '名称',
  `key` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '配置名',
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '说明',
  `comment` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '说明',
  `sort` int(10) UNSIGNED NULL DEFAULT NULL COMMENT '排序',
  `expiration` int(11) NOT NULL
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_base_district
-- ----------------------------
DROP TABLE IF EXISTS `t_base_district`;
CREATE TABLE `t_base_district`  (
  `id` int(11) NOT NULL COMMENT '编号',
  `name` char(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '名称',
  `pid` int(11) NOT NULL COMMENT '父级',
  `short_name` char(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '简称',
  `grade` tinyint(4) NOT NULL COMMENT '层级关系',
  `city_code` smallint(6) NOT NULL COMMENT '区号',
  `zip_code` int(11) NOT NULL COMMENT '邮编',
  `merger_name` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '关系值',
  `lng` double(8, 2) NOT NULL COMMENT '精度',
  `lat` double(8, 2) NOT NULL COMMENT '维度',
  `pinyin` char(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '拼音',
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_pid`(`pid`) USING BTREE,
  INDEX `idx_deleted_at`(`deleted_at`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_base_failed_jobs
-- ----------------------------
DROP TABLE IF EXISTS `t_base_failed_jobs`;
CREATE TABLE `t_base_failed_jobs`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uuid` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp(0) NOT NULL DEFAULT current_timestamp(0),
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `t_base_failed_jobs_uuid_unique`(`uuid`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_base_migrations
-- ----------------------------
DROP TABLE IF EXISTS `t_base_migrations`;
CREATE TABLE `t_base_migrations`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 19 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_base_migrations
-- ----------------------------
INSERT INTO `t_base_migrations` VALUES (1, '2014_10_12_000000_create_users_table', 1);
INSERT INTO `t_base_migrations` VALUES (2, '2014_10_12_100000_create_password_resets_table', 1);
INSERT INTO `t_base_migrations` VALUES (3, '2016_01_04_173148_create_admin_tables', 1);
INSERT INTO `t_base_migrations` VALUES (4, '2017_11_10_145204_create_cache_table', 1);
INSERT INTO `t_base_migrations` VALUES (5, '2019_08_19_000000_create_failed_jobs_table', 1);
INSERT INTO `t_base_migrations` VALUES (6, '2019_12_14_000001_create_personal_access_tokens_table', 1);
INSERT INTO `t_base_migrations` VALUES (7, '2020_05_30_203523_create_base_attachments_table', 1);
INSERT INTO `t_base_migrations` VALUES (8, '2020_05_30_203523_create_base_district_table', 1);
INSERT INTO `t_base_migrations` VALUES (9, '2020_09_07_090635_create_admin_settings_table', 1);
INSERT INTO `t_base_migrations` VALUES (10, '2020_09_22_015815_create_admin_extensions_table', 1);
INSERT INTO `t_base_migrations` VALUES (11, '2020_11_01_083237_update_admin_menu_table', 1);
INSERT INTO `t_base_migrations` VALUES (12, '2021_02_11_151843_create_base_config_table', 1);
INSERT INTO `t_base_migrations` VALUES (13, '2021_02_11_151843_create_sms_records_table', 1);
INSERT INTO `t_base_migrations` VALUES (14, '2022_07_14_101239_create_mail_codes_table', 1);
INSERT INTO `t_base_migrations` VALUES (15, '2022_07_15_034727_create_settings_table', 1);
INSERT INTO `t_base_migrations` VALUES (16, '2022_07_15_034921_create_regions_table', 1);
INSERT INTO `t_base_migrations` VALUES (17, '2022_07_15_161023_create_helps_table', 1);
INSERT INTO `t_base_migrations` VALUES (18, '2022_07_18_144400_create_user_feedbacks_table', 1);

-- ----------------------------
-- Table structure for t_episodes
-- ----------------------------
DROP TABLE IF EXISTS `t_episodes`;
CREATE TABLE `t_episodes`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '名称',
  `cover_img` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '名称',
  `status` tinyint(4) NOT NULL DEFAULT 0 COMMENT '状态 0-更新中 1-已完结',
  `is_opend` tinyint(4) NOT NULL DEFAULT 0 COMMENT '上架状态 0-下架 1-上架',
  `sort` int(11) NOT NULL DEFAULT 0 COMMENT '排序',
  `is_vip_watch` tinyint(4) NOT NULL DEFAULT 0 COMMENT '是否限定VIP观看',
  `free_episodes` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT '免费集数',
  `paid_episodes` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT '付费集数',
  `episodes_price` decimal(10, 2) NOT NULL DEFAULT 0 COMMENT '单集价格设置',
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '短剧' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_episodes_category
-- ----------------------------
DROP TABLE IF EXISTS `t_episodes_category`;
CREATE TABLE `t_episodes_category`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '名称',
  `pid` int(11) NOT NULL DEFAULT 0 COMMENT '父id',
  `path` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '路径',
  `sort` int(11) NOT NULL DEFAULT 0 COMMENT '排序越大越靠前',
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '短剧分类' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_episodes_category
-- ----------------------------
INSERT INTO `t_episodes_category` VALUES (2, '哈哈', 0, NULL, 0, '2022-08-04 17:46:09', NULL, '2022-08-04 17:46:09');
INSERT INTO `t_episodes_category` VALUES (3, '嘻嘻', 2, NULL, 0, '2022-08-04 17:46:18', NULL, '2022-08-04 17:46:18');
INSERT INTO `t_episodes_category` VALUES (4, '3121', 0, NULL, 0, '2022-08-04 17:56:29', NULL, '2022-08-04 17:56:29');
INSERT INTO `t_episodes_category` VALUES (5, '热舞热无', 4, NULL, 0, '2022-08-04 17:56:36', NULL, '2022-08-04 17:56:36');

-- ----------------------------
-- Table structure for t_episodes_lists
-- ----------------------------
DROP TABLE IF EXISTS `t_episodes_lists`;
CREATE TABLE `t_episodes_lists`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `episodes_id` int(10) UNSIGNED NULL DEFAULT 0 COMMENT '短剧ID',
  `serial` int(11) NOT NULL DEFAULT 0 COMMENT '第几集',
  `url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '视频链接',
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '短剧列表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_helps
-- ----------------------------
DROP TABLE IF EXISTS `t_helps`;
CREATE TABLE `t_helps`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `title` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `answer` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `look_num` bigint(20) NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_home_columns
-- ----------------------------
DROP TABLE IF EXISTS `t_home_columns`;
CREATE TABLE `t_home_columns`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '名称',
  `icon` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '图标',
  `sort` int(11) NOT NULL DEFAULT 0 COMMENT '排序',
  `type` tinyint(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT '类型',
  `status` tinyint(1) NOT NULL COMMENT '是否启用',
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '首页栏目' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_home_columns
-- ----------------------------
INSERT INTO `t_home_columns` VALUES (1, '短剧推荐', '', 0, 1, 1, NULL, NULL, '2022-08-05 15:19:06');
INSERT INTO `t_home_columns` VALUES (2, '今日推荐', '', 0, 2, 1, NULL, NULL, '2022-08-05 15:19:06');
INSERT INTO `t_home_columns` VALUES (3, '最新热剧', '', 0, 3, 1, NULL, NULL, '2022-08-05 15:19:06');
INSERT INTO `t_home_columns` VALUES (4, '排行版', '', 0, 4, 1, NULL, NULL, '2022-08-05 15:19:06');

-- ----------------------------
-- Table structure for t_mail_codes
-- ----------------------------
DROP TABLE IF EXISTS `t_mail_codes`;
CREATE TABLE `t_mail_codes`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_nav_bars
-- ----------------------------
DROP TABLE IF EXISTS `t_nav_bars`;
CREATE TABLE `t_nav_bars`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '名称',
  `icon` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '图标',
  `sort` int(11) NOT NULL DEFAULT 0 COMMENT '排序',
  `type` tinyint(1) UNSIGNED NOT NULL COMMENT '类型',
  `status` tinyint(1) NOT NULL COMMENT '是否启用',
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '顶部导航' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_nav_bars
-- ----------------------------
INSERT INTO `t_nav_bars` VALUES (1, '排行榜', '', 0, 1, 1, '2022-08-05 15:47:08', NULL, '2022-08-05 15:19:06');
INSERT INTO `t_nav_bars` VALUES (2, '最新', '', 0, 2, 1, NULL, NULL, '2022-08-05 15:19:06');
INSERT INTO `t_nav_bars` VALUES (3, '会员', '', 0, 3, 1, NULL, NULL, '2022-08-05 15:19:06');
INSERT INTO `t_nav_bars` VALUES (4, '签到', '', 0, 4, 1, NULL, NULL, '2022-08-05 15:19:06');
INSERT INTO `t_nav_bars` VALUES (5, '充值', '', 0, 5, 1, NULL, NULL, '2022-08-05 15:19:06');

-- ----------------------------
-- Table structure for t_password_resets
-- ----------------------------
DROP TABLE IF EXISTS `t_password_resets`;
CREATE TABLE `t_password_resets`  (
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  INDEX `t_password_resets_email_index`(`email`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_pay
-- ----------------------------
DROP TABLE IF EXISTS `t_pay`;
CREATE TABLE `t_pay`  (
  `pay_id` bigint(20) UNSIGNED NOT NULL COMMENT '订单ID',
  `user_id` int(11) NOT NULL DEFAULT 0 COMMENT '用户ID',
  `store_id` int(11) NOT NULL DEFAULT 0 COMMENT '店铺ID',
  `pay_type` int(11) NOT NULL COMMENT '支付类型',
  `status` tinyint(4) NOT NULL DEFAULT 0 COMMENT '订单状态',
  `pay_dt` datetime(0) NOT NULL COMMENT '支付时间',
  `order_fee` decimal(10, 2) NOT NULL DEFAULT 0 COMMENT '订单价格',
  `discount_fee` decimal(10, 2) NOT NULL DEFAULT 0 COMMENT '优惠价格',
  `handling_fee` decimal(10, 2) NOT NULL DEFAULT 0 COMMENT '手续费',
  `prepay_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '微信支付预付单ID',
  `serial_number` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '支付流水',
  `pay_error` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '支付错误记录',
  `updated_at` datetime(0) NOT NULL COMMENT '删除时间',
  `deleted_at` datetime(0) NOT NULL COMMENT '删除时间',
  `created_at` datetime(0) NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`pay_id`) USING BTREE,
  INDEX `status`(`status`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '支付表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_personal_access_tokens
-- ----------------------------
DROP TABLE IF EXISTS `t_personal_access_tokens`;
CREATE TABLE `t_personal_access_tokens`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `tokenable_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `tokenable_id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `abilities` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL,
  `last_used_at` timestamp(0) NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `t_personal_access_tokens_token_unique`(`token`) USING BTREE,
  INDEX `t_personal_access_tokens_tokenable_type_tokenable_id_index`(`tokenable_type`, `tokenable_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_recharge_combo
-- ----------------------------
DROP TABLE IF EXISTS `t_recharge_combo`;
CREATE TABLE `t_recharge_combo`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '充值名称',
  `price` decimal(10, 2) NOT NULL DEFAULT 0 COMMENT '支付金额 1:1 金币',
  `gift` decimal(10, 2) NOT NULL DEFAULT 0 COMMENT '赠送金币',
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '充值套餐' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_regions
-- ----------------------------
DROP TABLE IF EXISTS `t_regions`;
CREATE TABLE `t_regions`  (
  `id` int(11) NOT NULL COMMENT '编号',
  `code` int(11) NOT NULL COMMENT '地区代码',
  `parent_code` int(11) NOT NULL COMMENT '父级',
  `type` tinyint(4) NOT NULL COMMENT '类型：1省，2市，3区',
  `name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '名称',
  `full_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '全名'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_settings
-- ----------------------------
DROP TABLE IF EXISTS `t_settings`;
CREATE TABLE `t_settings`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '小程序名称',
  `logo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '小程序logo',
  `contact` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '联系电话',
  `tips` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '小程序提示',
  `is_watch_auto_pay` tinyint(4) NOT NULL DEFAULT 0 COMMENT '观看自动支付',
  `recharge_bg_img` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '封面图',
  `recharge_button_txt` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '按钮文案',
  `recharge_desc` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '充值说明',
  `nav_seting` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '导航栏设置 json',
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '设置' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_sms_records
-- ----------------------------
DROP TABLE IF EXISTS `t_sms_records`;
CREATE TABLE `t_sms_records`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `prefix` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '国际区号前缀',
  `event` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '事件 login register 等',
  `mobile` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '手机号',
  `verify_key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '验证key  用于验证码校验',
  `sms_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '手机验证码',
  `sms_result` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '短信发送回调',
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_tabbars
-- ----------------------------
DROP TABLE IF EXISTS `t_tabbars`;
CREATE TABLE `t_tabbars`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '名称',
  `icon` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '图标',
  `sort` int(11) NOT NULL DEFAULT 0 COMMENT '排序',
  `type` tinyint(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT '类型',
  `status` tinyint(1) NOT NULL COMMENT '是否启用',
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '底部导航' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_tabbars
-- ----------------------------
INSERT INTO `t_tabbars` VALUES (1, '首页', 'golf/images/b5314304d9611e5dc09c4ab4cf1fa164.png', 2, 1, 1, '2022-08-05 15:41:01', NULL, '2022-08-05 15:19:06');
INSERT INTO `t_tabbars` VALUES (2, '追剧', '', 0, 2, 1, '2022-08-05 15:41:51', NULL, '2022-08-05 15:19:06');
INSERT INTO `t_tabbars` VALUES (3, '我的', '', 0, 3, 1, NULL, NULL, '2022-08-05 15:19:06');

-- ----------------------------
-- Table structure for t_user_consume_records
-- ----------------------------
DROP TABLE IF EXISTS `t_user_consume_records`;
CREATE TABLE `t_user_consume_records`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) UNSIGNED NOT NULL COMMENT 'user_id',
  `before` decimal(10, 2) NOT NULL DEFAULT 0 COMMENT '消费后记录',
  `change` decimal(10, 2) NOT NULL DEFAULT 0 COMMENT '消费金币',
  `current` decimal(10, 2) NOT NULL DEFAULT 0 COMMENT '消费后金币',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '备注',
  `order_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '订单',
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户消费记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_user_episodes_records
-- ----------------------------
DROP TABLE IF EXISTS `t_user_episodes_records`;
CREATE TABLE `t_user_episodes_records`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `user_id` int(11) UNSIGNED NOT NULL COMMENT 'user_id',
  `episodes_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT '短剧ID',
  `list_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT '具体多少集集ID',
  `price` decimal(10, 2) NOT NULL DEFAULT 0 COMMENT '支付金额 1:1 金币',
  `discount` decimal(10, 2) NOT NULL DEFAULT 0 COMMENT '折扣金币',
  `updated_at` datetime(0) NOT NULL COMMENT '删除时间',
  `deleted_at` datetime(0) NOT NULL COMMENT '删除时间',
  `created_at` datetime(0) NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户购买短剧记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_user_feedbacks
-- ----------------------------
DROP TABLE IF EXISTS `t_user_feedbacks`;
CREATE TABLE `t_user_feedbacks`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL COMMENT '用户',
  `content` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '内容',
  `file` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '图片可多张',
  `status` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '状态0待处理，1已处理',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_user_info
-- ----------------------------
DROP TABLE IF EXISTS `t_user_info`;
CREATE TABLE `t_user_info`  (
  `user_id` int(11) UNSIGNED NOT NULL COMMENT 'user_id',
  `integral` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT '金币余额',
  `total_integral` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT '总金币',
  `platform` tinyint(1) UNSIGNED NOT NULL DEFAULT 1 COMMENT '用户平台 1-抖音 2-快手 ...',
  `is_vip` tinyint(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT '是否VIP',
  `start_at` date NOT NULL COMMENT 'VIP生效时间',
  `end_at` date NOT NULL COMMENT 'VIP失效时间',
  `opend_at` date NOT NULL COMMENT '开卡时间',
  `updated_at` datetime(0) NOT NULL COMMENT '删除时间',
  `deleted_at` datetime(0) NOT NULL COMMENT '删除时间',
  `created_at` datetime(0) NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_user_recharge_records
-- ----------------------------
DROP TABLE IF EXISTS `t_user_recharge_records`;
CREATE TABLE `t_user_recharge_records`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `user_id` int(11) UNSIGNED NOT NULL COMMENT 'user_id',
  `combo_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT '套餐ID',
  `price` decimal(10, 2) NOT NULL DEFAULT 0 COMMENT '支付金额 1:1 金币',
  `gift` decimal(10, 2) NOT NULL DEFAULT 0 COMMENT '赠送金币',
  `pay_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '支付ID',
  `updated_at` datetime(0) NOT NULL COMMENT '删除时间',
  `deleted_at` datetime(0) NOT NULL COMMENT '删除时间',
  `created_at` datetime(0) NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户充值记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_user_sign_records
-- ----------------------------
DROP TABLE IF EXISTS `t_user_sign_records`;
CREATE TABLE `t_user_sign_records`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) UNSIGNED NOT NULL COMMENT 'user_id',
  `date` date NOT NULL COMMENT '签到时间',
  `award` int(11) NOT NULL DEFAULT 0 COMMENT '签到奖励',
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户签到' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_user_vip_records
-- ----------------------------
DROP TABLE IF EXISTS `t_user_vip_records`;
CREATE TABLE `t_user_vip_records`  (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `combo_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT '套餐ID',
  `valid_day` int(11) NOT NULL DEFAULT 0 COMMENT '有效天数',
  `pay_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '支付ID',
  `updated_at` datetime(0) NOT NULL COMMENT '删除时间',
  `deleted_at` datetime(0) NOT NULL COMMENT '删除时间',
  `created_at` datetime(0) NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户VIP记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_user_watch_records
-- ----------------------------
DROP TABLE IF EXISTS `t_user_watch_records`;
CREATE TABLE `t_user_watch_records`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) UNSIGNED NOT NULL COMMENT 'user_id',
  `episode_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT '短剧ID',
  `list_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT '具体集数ID',
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户观看记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_users
-- ----------------------------
DROP TABLE IF EXISTS `t_users`;
CREATE TABLE `t_users`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `nickname` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `avatar` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `password` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `mobile` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `open_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `union_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT 1,
  `email_verified_at` timestamp(0) NULL DEFAULT NULL,
  `remember_token` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `t_users_email_unique`(`email`) USING BTREE,
  UNIQUE INDEX `t_users_mobile_unique`(`mobile`) USING BTREE,
  UNIQUE INDEX `t_users_open_id_unique`(`open_id`) USING BTREE,
  UNIQUE INDEX `t_users_union_id_unique`(`union_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_vip_combo
-- ----------------------------
DROP TABLE IF EXISTS `t_vip_combo`;
CREATE TABLE `t_vip_combo`  (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '名称',
  `price` decimal(10, 2) NOT NULL DEFAULT 0 COMMENT '价格',
  `valid_day` int(11) NOT NULL DEFAULT 0 COMMENT '有效天数',
  `desc` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '描述',
  `updated_at` datetime(0) NOT NULL COMMENT '删除时间',
  `deleted_at` datetime(0) NOT NULL COMMENT '删除时间',
  `created_at` datetime(0) NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '会员套餐' ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
